## NAME

r.le.patch - This program can be used to calculate attribute, patch size, core (interior) size, shape, fractal dimension, and perimeter measures for sets of patches in a landscape
(GRASS Raster Program)

## SYNOPSIS

r.le.patch
r.le.patch help
r.le.patch [-bcnptu] map=name [sam=name] [reg=name] [att=name[,name,...]] [siz=name[,name,...]] [co1=value] [co2=name[,name,...]] [sh1=name] [sh2=name[,name,...]] [fra=name] [per=name[,name,...]] [out=name]

## OPTIONS

### Flags:

-b
  Run in background.
-c
  Output map 'interior' with patch cores.
-n
  Output map 'num' with patch numbers.
-p
  Include sampling area boundary as perimeter.
-t
  Use 4 neighbor tracing instead of 8 neighbor.
-u
  Output maps 'units_x' with sampling units for each scale x.

### Parameters:

map
  Raster map to be analyzed.
sam
  Sampling method (choose only 1 method): w=whole map, u=units, m=moving window, r=regions
  Default: w
reg
  Name of regions map, only when sam = r; omit otherwise.
att
  Attribute measures:
  Options: a1, a2, a3, a4, a5, a6, a7
  a1 = mean pixel attribute
  a2 = st. dev. pixel attribute
  a3 = mean patch attribute
  a4 = st. dev. patch attribute
  a5 = cover by gp
  a6 = density by gp
  a7 = total density
siz
  Patch size measures:
  Options: s1, s2, s3, s4, s5, s6
  s1 = mean patch size
  s2 = st. dev. patch size
  s3 = mean patch size by gp
  s4 = st. dev. patch size by gp
  s5 = no. by size class
  s6 = no. by size class by gp
co1
  Edge width in pixels (integer) for use with co2
co2
  Core size measures (required if co1 was specified):
  Options: c1, c2, c3, c4, c5, c6, c7, c8, c9, c10
  c1 = mean core size
  c2 = st. dev. core size
  c3 = mean edge size
  c4 = st. dev. edge size
  c5 = mean core size by gp
  c6 = st. dev. core size by gp
  c7 = mean edge size by gp
  c8 = st. dev. edge size by gp
  c9 = no. by size class
  c10 = no. by size class by gp
sh1
  Shape method (choose only 1 method):
  m1 = perim./area
  m2 = corr. perim./area
  m3 = rel. circum. circle
sh2
  Shape measures (required if sh1 was specified):
  Options: h1, h2, h3, h4, h5, h6
  h1 = mean patch shape
  h2 = st. dev. patch shape
  h3 = mean patch shape by gp
  h4 = st. dev. patch shape by gp
  h5 = no. by shape class
  h6 = no. by shape class by gp
fra
  Fractal dimension measures:
  Options: f1
  f1 = perim.-area fractal dim.
per
  Perimeter measures (required if pe1 was specified):
  Options: p1, p2, p3, p4, p5, p6
  p1 = sum of perims.
  p2 = mean perim.
  p3 = st. dev. perim.
  p4 = sum of perims. by gp
  p5 = mean perim. by gp
  p6 = st. dev. perim. by gp
out
  Name of output file for individual patch measures, when sam=w, u, r; if out=head, then column headings will be printed

## SEE ALSO

The r.le Programs Users Guide
r.le.dist, r.le.null, r.le.pixel, r.le.rename, r.le.setup, r.le.trace

## AUTHOR

William L. Baker, Department of Geography and Recreation, University of Wyoming

Last changed: $Date: 2002/04/22 17:36:27 $